<?php
/**
 * @ H2N Link Directory 1.0.0 linkdirectory.linkthumbnail.php
 * @ Copyright (C) 2008 Harry Klein - www.joomla-hklein.de
 * @
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @
 * @ $Id: linkdirectory.linkthumbnail.php,v 1.8 2009/03/05 21:33:06 harry Exp $
 * @
 **/


function getAllSupportedLinkThumbnailServices(){
	return array('thumbshots.de (120x90)',
				// 'livethumb.de (120x90)',
				// 'livethumb.de (200x150)',
				// 'Websnapr.com (92x70 )',
				// 'Websnapr.com (202x152)',
				'mr-thumb.de (120x90)',
				'mr-thumb.de (200x150)',
				'thumber.de (120x90)',
				'artviper.net (120x90)',
				'm-software.de (150x100)');
				
}


/**
 * Liefert den benötigen BackLink für den jeweiliegn Link-Thum-Dienst.
 *
 * @return String HTML mit dem jeweiligen Code für den Back-Link
 */
function getBackLinkForLinkThumb(){
	if (!isLinkThumbEnable())
	return '';
	global $ld;
	switch ($ld->linkthumbtype){
		case 'thumbshots.de (120x90)':
			return '<a href="http://www.thumbshots.de/" target="_blank"><img height="16" alt="Kostenlose Screenshots Ihrer Webseite von Thumbshots.de" src="http://www.thumbshots.de/images/thumbshots_2007.png" width="80" border="0" /></a>';
		// case 'livethumb.de (120x90)':
		// case 'livethumb.de (200x150)':
		//	return '<a href="http://livethumb.de" target="_blank">liveThumb</a>';
		// case 'Websnapr.com (92x70 )':
		// case 'Websnapr.com (202x152)':
		// 	return 'BACKLINK';	
		case 'mr-thumb.de (120x90)':
		case 'mr-thumb.de (200x150)':
			return '<a href="http://www.mr-thumb.de" target="_blank" title="Thumbshots von Mr-Thumb Free Thumbnail Service"><img border="0" src="http://www.mr-thumb.de/images/button.gif" width="80" height="15" alt="Mr-Thumb Free Thumbnail Service"></a>';
		case 'thumber.de (120x90)':
			return '<a target="_blank" href="http://thumber.de" title="Thumbshots by Thumber.de">Thumbshots</a>';
		case 'artviper.net (120x90)':
			return '<a href="http://www.artviper.net" title="artViper designstudio">thumbnails by artViper designstudio</a>';
		case 'm-software.de (150x100)': 
			return '<a href="http://www.m-software.de/thumbshots.html"> <img src="http://www.m-software.de/uploads/thumshots-icon.gif" alt="FreeThumbshots by M-Software.de" width="80" height="15" border="0"></a>';	
		case 'user':
			return $ld->linkthumbuserbacklinkhtml;
		case 'none';
		default:
			return '';
	}
}


/**
 * Liefert true, wenn ein Link-Thum-Dienst konfiguriert worden ist.
 *
 * @return true, wenn ein Link-Tumb-Dienst konfiguriert worden ist
 * @see $ld->linkthumbtype
 */
function isLinkThumbEnable(){
	global $ld;
	switch ($ld->linkthumbtype){
		case 'thumbshots.de (120x90)':
		// case 'livethumb.de (120x90)':
		// case 'livethumb.de (200x150)':
		// case 'Websnapr.com (92x70 )':
		// case 'Websnapr.com (202x152)':
		case 'mr-thumb.de (120x90)':
		case 'mr-thumb.de (200x150)':
		case 'thumber.de (120x90)':
		case 'artviper.net (120x90)':
		case 'm-software.de (150x100)':
		case 'user':
			return true;
		case 'none';
		default:
			return false;
	}
}

/**
 * Liefert die css-Klasse für die Größenabgabe des Thumbnails
 *
 * @return css-Klasse für Größenangabe der Thumbnails
 */
function getCssClassForThumb(){
	global $ld;
	switch ($ld->linkthumbtype){
		case 'thumbshots.de (120x90)':
			return 'thumbshots-120';
		// case 'livethumb.de (120x90)':
		//	return 'thumbshots-120';
		// case 'livethumb.de (200x150)':
		//	return 'thumbshots-200';
		// case 'Websnapr.com (92x70 )':
		// 	return 'thumbshots-92';
		// case 'Websnapr.com (202x152)':
		// 	return 'thumbshots-202';
		case 'mr-thumb.de (120x90)':
			return 'thumbshots-120';
		case 'mr-thumb.de (200x150)':
			return 'thumbshots-200';
		case 'thumber.de (120x90)':
			return 'thumbshots-120';
		case 'artviper.net (120x90)':
			return 'thumbshots-120';
		case 'm-software.de (150x100)':
			return 'thumbshots-150';
		case 'user':
			return '';
		case 'none';
		default:
			return '';
	}
}

/**
 * Gibt das HTML zurück, welches für das holen des Tumb-Images benötig wird. Welcher 
 * Dienst dazu benutzt wird, legt die Variable
 * $ld->linkthumbtype fest.
 *
 * @param String $url URL,deren Thumb-Image angefordert werden soll.
 * @param String $title Titel der Url
 * @param int Id des Links
 * @return String mit dem HTML 0
 */
function getThumbForLink($url,$title,$id,$thumburl){
	if (!isLinkThumbEnable())
	return '';
	global $ld,$Itemid;
	if ( ($thumburl != '') && ($thumburl != 'http://')){ //  2. Ausdruck: fix für defekte Version 1.3.2 und 1.3.3
		$url=$thumburl;
	}
	$aHtml_1='<a href="'.getUrlToLink($url,$id,$Itemid).'" target="_blank">';
	$aHtml_2='</a>';
	$aHtml_3=' alt="" ';//alt="'.$title.'" ';
	switch ($ld->linkthumbtype){
		case 'thumbshots.de (120x90)':
			return $aHtml_1.'<img src="http://www.thumbshots.de/cgi-bin/show.cgi?url='.$url.'" ' .$aHtml_3. ' class="thumbshots-120" onload="if (this.width>50) this.border=1; this.alt=\'Vorschau bei Thumbshots.de\';" />'.$aHtml_2;
		// case 'livethumb.de (120x90)':
		//	return $aHtml_1.'<img src="http://livethumb.de/?url='.$url.'&amp;size=120" ' . $aHtml_3 . ' class="thumbshots-120"/>'.$aHtml_2;
		// case 'livethumb.de (200x150)':
		//	return $aHtml_1.'<img src="http://livethumb.de/?url='.$url.'&amp;size=200" ' . $aHtml_3 . ' class="thumbshots-200"/>'.$aHtml_2;
		//case 'Websnapr.com (92x70 )':
		//	$skey=$ld->linkthumbpara2;
		//	return $aHtml_1.'<img src="http://images.websnapr.com/?size=T&amp;key='.$skey.'&amp;url='.$url.'" ' . $aHtml_3 . ' class="thumbshots-92"/>'.$aHtml_2;
		//case 'Websnapr.com (202x152)':
		//	$skey=$ld->linkthumbpara2;
		//	return $aHtml_1.'<img src="http://images.websnapr.com/?size=S&amp;key='.$skey.'&amp;url='.$url.'" ' . $aHtml_3 . ' class="thumbshots-202"/>'.$aHtml_2;
		case 'mr-thumb.de (120x90)':
			return $aHtml_1.'<img src="http://www.mr-thumb.de/kunterbunt.php?url='.$url.'&amp;size=120" ' . $aHtml_3 . ' class="thumbshots-120"/>'.$aHtml_2;
		case 'mr-thumb.de (200x150)':
			return $aHtml_1.'<img src="http://www.mr-thumb.de/kunterbunt.php?url='.$url.'&amp;size=200" ' . $aHtml_3 . ' class="thumbshots-200"/>'.$aHtml_2;
		case 'thumber.de (120x90)':
			return $aHtml_1.'<img src="http://image.thumber.de/?size=M&amp;url='.$url.'" ' . $aHtml_3 . ' class="thumbshots-120"/>'.$aHtml_2;
		case 'artviper.net (120x90)':
			$uid=$ld->linkthumbpara1;
			$skey=$ld->linkthumbpara2;
			return $aHtml_1.'<img src="http://www.artviper.net/screenshots/screener.php?url='.$url.'&amp;w=120&hamp;=90&amp;sdx=1024&map;sdy=768&amp;q=90&amp;userID='.$uid.'&amp;hash='.md5($url . $uid . $skey) . $aHtml_3 . ' class="thumbshots-120" />'.$aHtml_2;		
		case 'm-software.de (150x100)':
    		$baseurl  = "http://www.m-software.de/screenshot/Screenshot.png";
    		$scale = 6;
    		$owidth   = 900;
    		$oheight  = 600;
    		$url      = urlencode ($url);
    		$width    = $owidth / $scale;
    		$height   = $oheight / $scale;
    		$thumburl = $baseurl . "?url=" . $url . "&scale=" . $scale;
    		$code     = '<img src="'. $thumburl.'" ' . $aHtml_3 . 'class="thumbshots-150"/>';
   			return $aHtml_1 . $code . $aHtml_2;
		case 'user':
			return $aHtml_1.sprintf($ld->linkthumbuserhtml,$url,$title,$ld->linkthumbpara1,$ld->linkthumbpara2).$aHtml_2;
		case 'none';
		default:
			return '';
	}
}

?>