<?php
/**
 * @ H2N Link Directory 1.0.0 linkdirectory.url.php
 * @ Copyright (C) 2008 Harry Klein - www.joomla-hklein.de
 * @
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @
 * @ $Id: linkdirectory.url.php,v 1.1 2008/10/07 23:33:43 harry Exp $
 * @
 **/

defined( '_VALID_MOS' ) or die( 'Restricted access' );

function getURL($task, $Itemid){
	return _getURL($task,$Itemid);
}

/**
 * Link zu einem Link-Eintrag mit den Tasks 'detail','rate','comment' und 'report'.
 *
 * @param String $task Task
 * @param int $id Item des Links
 * @param item $Itemid
 * @return URL zur jeweilgen Seite
 */
function getItemURL($task, $id, $Itemid){
	return _getURL($task,$Itemid,'id='.intval($id));
}

/**
 * Link zu einer Kategorie mit den Tasks 'viewcat' und 'new'
 *
 * @param String $task Task
 * @param int $catid Id des jeweiligen Kategorie
 * @param int $Itemid
 * @return URL zur jeweiligen Seite
 */
function getCatURL($task, $catid, $Itemid){
	return _getURL($task, $Itemid,'catid='.intval($catid));
}

function getLinkAndCatUrl($task, $id,$catid, $Itemid){
	return _getURL($task,$Itemid,'id='.intval($id).'&catid='.intval($catid)); 	
}

function getSearchURL($task, $searchtext,$searchtype,$catid, $Itemid){
	return _getURL($task,$Itemid,'searchtext='.$searchtext.'&searchtype='.$searchtype.'&catid='.$catid);
}

function _getURL($task,$Itemid,$other='') {
	$_other ='';
	$_task='';
	$_itemid='';
	$Itemid=intval($Itemid);
	if ($other)  $_other ='&'.$other;
	if ($task )  $_task  ='&task='.$task; 
	if ($Itemid) $_itemid= '&Itemid='.$Itemid;
	return ampReplace($url='index.php?option=com_linkdirectory'. $_task . $_other . $_itemid);
}

function getUrlToLink($url,$id,$Itemid){
	global $ld;
	if ($ld->ldisplay) {
			return $url;
	} else {
		return getItemUrl('view',$id,$Itemid);
	}
}

?>